Bug 1032659 - Milyn type converters incorrect [NEEDINFO]
Milyn type converters incorrect
Status: MODIFIED
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: SwitchYard (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: kconner
Matej Melko
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-20 09:37 EST by Jochen Cordes
Modified: 2018-03-29 17:53 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The Milyn type converters are not correctly registered in Smooks. As a reult of this, the transformer does not work. To work around this issue, in milyn-smooks-all-1.5.1.jar's JBOSS_HOME/modules/system/layers/soa/org/milyn/main change /META-INF/services/org/apache/camel/TypeConverter and replace org.milyn.smooks.camel.converters with org.milyn.smooks.camel.converters.EDITypeConverter, org.milyn.smooks.camel.converters.ResultConverter, and org.milyn.smooks.camel.converters.SourceConverter.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kconner: needinfo? (jcordes)


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SWITCHYARD-2307 Major Closed org.apache.camel.Exchange not found in Milyn module 2016-11-18 11:39 EST

  None (edit)
Description Jochen Cordes 2013-11-20 09:37:19 EST
Description of problem:


The type converters are not correctly registered in Smooks.

Version-Release number of selected component (if applicable):


How reproducible:

Always

Steps to Reproduce:
1. Add a Smooks transformer
2. 
3.

Actual results:

Transformer doesn't work

Expected results:

Transformer does work

Additional info:

Here's how to fix the issue:

In JBOSS_HOME/modules/system/layers/soa/org/milyn/main in milyn-smooks-all-1.5.1.jar change in /META-INF/services/org/apache/camel/TypeConverter replace

org.milyn.smooks.camel.converters

with

org.milyn.smooks.camel.converters.EDITypeConverter
org.milyn.smooks.camel.converters.ResultConverter
org.milyn.smooks.camel.converters.SourceConverter


This issue releated to https://bugzilla.redhat.com/show_bug.cgi?id=920971 which was raised for SOA-P 5.3.1

See also http://jira.codehaus.org/browse/MILYN-655
Comment 2 Keith Babo 2013-11-21 11:47:22 EST
Can we test this with the latest build before making a change?  Also, an app which reproduces the problem would be useful so that we can verify whether it still exists and if we do make a change to the smooks artifact that the issue is resolved.  The referenced BZ for 5.3.1 probably has a SOA-P (not FSW / SY) app I'm guessing.
Comment 3 Keith Babo 2013-11-21 12:10:56 EST
One other good reason to get a reproducer is that the module.xml in our transform module might need to be updated to discover these converters.  The current module.xml can be found here:
https://github.com/jboss-switchyard/release/blob/master/jboss-as7/modules/src/main/resources/switchyard/core/transform/module.xml

Note that META-INF/services/org/apache/camel is not included in the list of imports/exports.
Comment 4 JBoss JIRA Server 2015-01-28 08:06:52 EST
Tomohisa igarashi <tm.igarashi@gmail.com> updated the status of jira SWITCHYARD-2307 to Closed

Note You need to log in before you can comment on or make changes to this bug.